// Rozwiązanie zadania Podzielność przez 9
// Zawody I stopnia XVII OIJ
// oij.edu.pl

// Bartosz Kostka

#include "bits/stdc++.h"

using namespace std;

// Zwraca sumę cyfr danej liczby X.
int SumaCyfr(long long X) {
  if (X == 0) return 0;
  return (X % 10) + SumaCyfr(X / 10);
}

int main() {
  long long N;
  cin >> N;
  int suma_cyfr = SumaCyfr(N);

  // O tyle musimy zmienic sumę cyfr.
  int roznica = (9 - suma_cyfr) % 9;

  // Decydujemy się zmienić jedynie ostanią cyfrę.
  int ostatnia_cyfra = N % 10;
  // Ponieważ musimy ją zmienić o co najwyżej 8, to zawsze jesteśmy w stanie
  // dodać lub odjąć odpowiednią wartość, aby cała liczba była podzielna
  // przez 9.
  // Zwróc uwagę, że operator modulo 9 może zwrocić ujemną liczbę,
  // przez to dodajemy 9, a następnie znowu bierzemy modulo 9.
  int nowa_ostatnia_cyfra = (((ostatnia_cyfra + roznica) % 9) + 9) % 9;

  // W pewnych przypadkach brzegowych możemy przez przypadek zwrócić 0 jako 
  // wynik, które nie jest dopuszczalne (jako że nie jest dodatnią liczbą),
  // zatem zamieniamy potencjalne 0 na 9, co nie zmienia podzielności przez 9.
  if (nowa_ostatnia_cyfra == 0) nowa_ostatnia_cyfra = 9;

  // Finalnie zamieniamy ostatnią cyfrę...
  long long nowa_liczba = N - ostatnia_cyfra + nowa_ostatnia_cyfra;
  // ... i wypisujemy wynik.
  cout << nowa_liczba << "\n";
}